NET_Address(3type)

NAME
NET_Address - Opaque representation of a computer-readable network address.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

typedef struct NET_Address NET_Address;

DESCRIPTION
This is an opaque datatype, to be treated by the app as a handle.

SDL_net uses these to identify other servers; you use them to connect to a remote machine, and you use them to find out who connected to you. They are also used to decide what network interface to use when creating a server.

These are intended to be protocol-independent; a given address might be for IPv4, IPv6, or something more esoteric. SDL_net attempts to hide the differences.

AVAILABILITY
This datatype is available since SDL_net 3.0.0.

SEE ALSO
NET_ResolveHostname(3), NET_GetLocalAddresses(3), NET_CompareAddresses(3)